WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: [help]need compile environment for tinycore 2.x  (Read 4811 times)

Offline huy

  • Newbie
  • *
  • Posts: 4
[help]need compile environment for tinycore 2.x
« on: May 13, 2009, 10:53:49 PM »
I found compiletc.tce/tcz for  tinycore 1.x ,but couldn't found it for  tinycore 2.x.
I installed tinycore 2.x instead of tinycore 1.x ,because it supported glibc_i18n_locale.
I wanted to compile Chinese Input.
Anyone help me? Thx

Offline Jason W

  • Retired Admins
  • Hero Member
  • *****
  • Posts: 9730
Re: [help]need compile environment for tinycore 2.x
« Reply #1 on: May 13, 2009, 11:07:00 PM »
gcc-binutils would be the compile extension for 2.x, plus whatever other development extensions may be required, which would depend on what is being built.  The info file lists helper apps that may be needed.

Offline softwaregurl

  • Suspended
  • Full Member
  • ***
  • Posts: 109
Re: [help]need compile environment for tinycore 2.x
« Reply #2 on: May 13, 2009, 11:31:51 PM »
Quote
gcc-binutils would be the compile extension for 2.x
eek, i would not have guessed.  maybe everything to do with compile has an app browser searchable word/phrase (compile for tc) with forum sticky and wiki docs.
Old wounds that have never healed need to be re-exposed before the cure can be applied.  The cure must be available before the wound is re-exposed.

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14640
Re: [help]need compile environment for tinycore 2.x
« Reply #3 on: May 14, 2009, 12:02:30 AM »
A few people had suggested that having everything wrapped together in compiletc (and prior to that compile-3.3.5.uci) might not be a good idea.

For this reason, I thought I'd try breaking up the compiletc extension in tc_2.x - maybe I should have thought of a smarter name than gcc-binutils, but this is an accurate description of what it contains  :)

One thing that you need to keep in mind is that if compiling an application requires a "compile helper app" like flex, bison, gettext, etc - sometimes the error message you get is very clear about what it is missing and sometimes there is almost no way to know what is missing except by experience. For this reason, I usually load all of the helper apps listed in the gcc-binutils info file...

Offline danielibarnes

  • Hero Member
  • *****
  • Posts: 548
Re: [help]need compile environment for tinycore 2.x
« Reply #4 on: May 15, 2009, 03:54:29 PM »
A few people had suggested that having everything wrapped together in compiletc (and prior to that compile-3.3.5.uci) might not be a good idea.

I agree. What we need is a compiletc extension that may not contain files but has a .dep which lists all of the extensions required for compilation. This has benefits:

  • It is easy to find, especially for users of 1.x
  • You can update components individually without rebuilding a huge extension
  • New components can be added (new languages for example)
  • The 1.x extension could be updated to use this method transparently


Offline ^thehatsrule^

  • Retired Admins
  • Hero Member
  • *****
  • Posts: 1726
Re: [help]need compile environment for tinycore 2.x
« Reply #5 on: May 15, 2009, 04:35:18 PM »
I agree. What we need is a compiletc extension that may not contain files but has a .dep which lists all of the extensions required for compilation. [...]
already been planned :)